For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all tables in a collection.
      • POSTCreate a table in a collection.
      • GETGet a table by ID.
      • PUTUpdate a table by ID.
      • DELDelete a table by ID.
      • GETGet a tables schema by ID.
      • POSTSync a table with a list of documents.
LogoLogo
Scout DocsAccess Scout
EndpointsTables

Delete a table by ID.

Beta
DELETE
https://api.scoutos.com/v2/collections/:collection_id/tables/:table_id
DELETE
/v2/collections/:collection_id/tables/:table_id
$curl -X DELETE https://api.scoutos.com/v2/collections/collection_id/tables/table_id \
> -H "Authorization: Bearer <token>"
1{
2 "detail": "Table with ID 'tbl_987654321' in collection 'col_123456789' has been successfully deleted."
3}

Delete a table given a collection_id and table_id.

Was this page helpful?
Previous

Get a tables schema by ID.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired
table_idstringRequired

Response

Successful Response
detailstring

Errors

422
Unprocessable Entity Error